
Redmine - Defect #17000

Unable to delete members of Groups or Projects

2014-05-28 04:49 - Mike Sweetman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.0

Description

When I click "Delete" to delete members from Groups, or from Projects, nothing happens. When I am trying to delete members from

Groups, it asks me, "Are you sure?"--so I click "Yes". Still, nothing happens. I can delete users, projects, issues, etc. just fine.

I tried setting the logging verbosity to DEBUG. There is nothing added to the Redmine log when I click "Delete".

Can anyone help with this issue?

Redmine version        2.5.0.stable

Ruby version               2.1.0-p0 (2013-12-25) [x86_64-linux]

Rails version              3.2.17

Environment              production

Database adapter       Mysql2

History

#1 - 2014-05-28 05:43 - Toshi MARUYAMA

I cannot reproduce on Ruby 2.1.0-p0.

But, Ruby 2.1 has some problems and Redmine does not support Ruby 2.1 officially (#16194).

I recommend you to downgrade Ruby to 2.0 or upgrade to 2.1.2.

#2 - 2014-05-29 05:55 - Mike Sweetman

Thanks for the quick response! Well, I downgraded to 2.0, but I still have the problem (was not able to upgrade to 2.1.2). Current versions are listed

below. Any other ideas? This really puts a damper on my hopes to use Redmine. Are there known issues with p353?

Environment:

Redmine version                2.5.0.stable

Ruby version                   2.0.0-p353 (2013-11-22) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

#3 - 2014-05-29 06:29 - Mike Sweetman

For the record: I just tried Ruby 1.9.3-p484. Same problem.

#4 - 2014-05-30 03:02 - Mike Sweetman

I downgraded Redmine to 2.4.5.stable. Still the same problem!

#5 - 2014-05-30 03:20 - Mike Sweetman

I upgraded to Redmine 2.5.1.stable. I am still having the same problem. What else could it be??? Note: OS is CentOS 6.5

#6 - 2014-05-30 03:41 - Mike Sweetman

Update: I ran Redmine using webrick to test the issue. On webrick, I was able to delete members of groups and projects. Therefore, it must be an

issue with Passenger or Apache. I will work on it from that angle. I am using Passenger version 4.0.43. Anyone know of any issues with that?

#7 - 2014-05-30 17:05 - Mike Sweetman

I tried a complete re-install with an older version of passenger. I re-installed Redmine. I tried all kinds of apache configurations. Same problem in all

instances.
#8 - 2014-05-30 23:15 - Mike Sweetman

Oooh! I found something in another log! Now to find out why this is happening?

Started OPTIONS "/redmine/memberships/17" for ###.###.###.### at 2014-05-30 14:14:02 -0700

ActionController::RoutingError (No route matches [OPTIONS] "/memberships/17"):

actionpack (3.2.17) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

actionpack (3.2.17) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

railties (3.2.17) lib/rails/rack/logger.rb:32:in `call_app'

railties (3.2.17) lib/rails/rack/logger.rb:16:in `block in call'

activesupport (3.2.17) lib/active_support/tagged_logging.rb:22:in `tagged'

railties (3.2.17) lib/rails/rack/logger.rb:16:in `call'

actionpack (3.2.17) lib/action_dispatch/middleware/request_id.rb:22:in `call'

rack (1.4.5) lib/rack/methodoverride.rb:21:in `call'

rack (1.4.5) lib/rack/runtime.rb:17:in `call'

activesupport (3.2.17) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

rack (1.4.5) lib/rack/lock.rb:15:in `call'

actionpack (3.2.17) lib/action_dispatch/middleware/static.rb:63:in `call'

rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

rack-cache (1.2) lib/rack/cache/context.rb:143:in `pass'

rack-cache (1.2) lib/rack/cache/context.rb:155:in `invalidate'

rack-cache (1.2) lib/rack/cache/context.rb:71:in `call!'

rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

railties (3.2.17) lib/rails/engine.rb:484:in `call'

railties (3.2.17) lib/rails/application.rb:231:in `call'

railties (3.2.17) lib/rails/railtie/configurable.rb:30:in `method_missing'

passenger (4.0.41) lib/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

passenger (4.0.41) lib/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_process_next_request'

passenger (4.0.41) lib/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

passenger (4.0.41) lib/phusion_passenger/request_handler.rb:448:in `block (3 levels) in start_threads'

#9 - 2014-05-31 02:27 - Mike Sweetman

Interesting note--I get the above error when I am using Google Chrome, but I get no error at all when I am using Safari. I assume the above error is

going to lead me to the issue. I hope.

#10 - 2014-05-31 04:27 - Mike Sweetman

I get the above error when I am running on a sub-URI (i.e. acme.com/redmine). When run without a sub-uri (i.e. redmine.acme.com), I have the same

problem. But I get a slightly different error (though I suspect it has to do with the same problem):

Started GET "/501.shtml" for ###.###.###.### at 2014-05-30 19:22:41 -0700

ActionController::RoutingError (No route matches [GET] "/501.shtml"):

actionpack (3.2.17) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

actionpack (3.2.17) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

railties (3.2.17) lib/rails/rack/logger.rb:32:in `call_app'

railties (3.2.17) lib/rails/rack/logger.rb:16:in `block in call'

activesupport (3.2.17) lib/active_support/tagged_logging.rb:22:in `tagged'

railties (3.2.17) lib/rails/rack/logger.rb:16:in `call'

actionpack (3.2.17) lib/action_dispatch/middleware/request_id.rb:22:in `call'

rack (1.4.5) lib/rack/methodoverride.rb:21:in `call'

rack (1.4.5) lib/rack/runtime.rb:17:in `call'

activesupport (3.2.17) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

rack (1.4.5) lib/rack/lock.rb:15:in `call'

actionpack (3.2.17) lib/action_dispatch/middleware/static.rb:63:in `call'

railties (3.2.17) lib/rails/engine.rb:484:in `call'

railties (3.2.17) lib/rails/application.rb:231:in `call'

railties (3.2.17) lib/rails/railtie/configurable.rb:30:in `method_missing'

passenger (4.0.41) lib/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

passenger (4.0.41) lib/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_process_next_request'

passenger (4.0.41) lib/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

passenger (4.0.41) lib/phusion_passenger/request_handler.rb:448:in `block (3 levels) in start_threads'

#11 - 2014-05-31 15:50 - Mike Sweetman

Found this issue, and learned that users are unable to UNWATCH tickets--which leads me to believe it is related to this issue (though we are not

using pound).

http://www.redmine.org/boards/2/topics/40022

#12 - 2014-05-31 17:49 - Mike Sweetman

- Status changed from New to Resolved
Found the problem. It does not have to do with Redmine--it's my Apache config. I have mod_security installed. The mod_security configuration

(included in httpd.conf) contained the following lines to allow request methods:

SecRule REQUEST_METHOD "!^((?:(?:POS|GE)T|OPTIONS|HEAD))$" \

   "phase:2,t:none,log,auditlog,status:501,msg:'Method is not allowed by policy', severity:'2',id:'960032',tag

:'POLICY/METHOD_NOT_ALLOWED'"

 I changed the offending line of the mod_security configuration to:

SecRule REQUEST_METHOD "!^((?:(?:POS|GE)T|OPTIONS|HEAD|DELETE))$" \

 That fixed the problem!

#13 - 2014-06-24 09:10 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.
